summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-01-14 13:51:03 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-01-14 13:59:47 +0100
commit9686238fd8d348762a36d408132ecd7757d5ee5d (patch)
treee0ed690fa5a323e1251d7911ffe8572c947b6417 /net-ftp
parentnet-proxy/squid: Stable for HPPA (bug #603052). (diff)
downloadgentoo-9686238fd8d348762a36d408132ecd7757d5ee5d.tar.gz
gentoo-9686238fd8d348762a36d408132ecd7757d5ee5d.tar.bz2
gentoo-9686238fd8d348762a36d408132ecd7757d5ee5d.zip
net-ftp/filezilla: Bump to version 3.24.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-ftp')
-rw-r--r--net-ftp/filezilla/Manifest1
-rw-r--r--net-ftp/filezilla/filezilla-3.24.0.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index 1b3694ba54b..cf67e42067b 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -2,3 +2,4 @@ DIST FileZilla_3.12.0.2_src.tar.bz2 4440836 SHA256 7a296fc2cd94d00d3a14ad29b84ff
DIST FileZilla_3.14.1_src.tar.bz2 4411187 SHA256 b10871b6ced5f52062b44deda037edb8a38090b226a018b9b64b1a1feb59d46c SHA512 c97767ed01f4538a2f4b8760601778ca7f9aa99b5b928cb86c9508eba0490bbc1f31921d098e0ccd30712ff06dc9f21d323201fb8bee80b9fb7a6528fbb03368 WHIRLPOOL 1fbccfbb0de5111fad14eb0b38ee190aefc4c80777c3611189c74412dfefdf2fd96d4a42c917791d3a3318b6ae22f01a7d24a4a0904386b22a98693151b5a822
DIST FileZilla_3.22.2.2_src.tar.bz2 4448800 SHA256 bb7117e587ff05544c24eb7925e89c27afdd43ef6c0ce2e623c021d4479802c0 SHA512 7ae3b172d053dcbae10daebe6338aac860d11600fb16b2d0e65f6a7f46b9dc242b8dd3378e5adf5e76c7fd853e7762ec22768cdaf67f5c04911f620116174fc6 WHIRLPOOL e85d68cd13601ff280f57fe897a0ca1273a7418254e43b22fed90326fba01cdc304290a36cfbfb69604563488cf64299b1d9832ba763bd648ee891afd18534e5
DIST FileZilla_3.23.0.2_src.tar.bz2 4662448 SHA256 3f464a7ad5f0e49085e455a023ec08130b663d392ea6aa6be9608527b015022f SHA512 249082cb22aa03858a876b8e0087e8fba64540e1fbfada56a85bcd4474e8781132b413ec0d31b1c137e44a46b6b3dce145d1eceaef58f1f3f51d8f3c32dd9920 WHIRLPOOL f555f158f934d928b0e96e87c306c5cdca25a241c678e4731988b9a21ab24f2eb9d61b3cc73e154fab1ef458a1a3a3d2ff7498453d1aee04f1d439f88b7539a8
+DIST FileZilla_3.24.0_src.tar.bz2 4635977 SHA256 3d5dd4899cdeca038afd330f24098a61a223f15b172611e0c210244911cd4cad SHA512 e5e7fcf1d1c33053775d09ee9a3c0bac1286b4ed5aee1af47498ec2d860bd0571b8e2a35443119d3ebe61a8eea4fb236edb0e7d9dc6a1b37b823902828620ea0 WHIRLPOOL 41abe64523852b45c7ca7e8bf54ed92d749fb4af289b4cdfd0bfa7399dbcd4f135bdc5329b26306b2a04e98c9790b38945c82566db200de8d741603044ba61a1
diff --git a/net-ftp/filezilla/filezilla-3.24.0.ebuild b/net-ftp/filezilla/filezilla-3.24.0.ebuild
new file mode 100644
index 00000000000..8e20dbec491
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.24.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit autotools eutils flag-o-matic multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="http://filezilla-project.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.9.0
+ >=dev-libs/pugixml-1.7
+ net-dns/libidn
+ >=net-libs/gnutls-3.4.0
+ >=x11-libs/wxGTK-3.0.2.0-r1:3.0[X] x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( dev-util/cppunit )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-3.22.1-debug.patch
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ doicon src/interface/resources/48x48/${PN}.png
+
+ dodoc AUTHORS ChangeLog NEWS
+}